**Full name**: projects.locations.indexEndpoints.deployIndex

Deploys an Index into this IndexEndpoint, creating a DeployedIndex within it.

### Endpoint

post `https://{service-endpoint}/v1/{indexEndpoint}:deployIndex`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`indexEndpoint` `string` Required. The name of the IndexEndpoint resource into which to deploy an Index. Format: `projects/{project}/locations/{location}/indexEndpoints/{indexEndpoint}`

### Request body

The request body contains data with the following structure:
Fields `deployedIndex` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.indexEndpoints#DeployedIndex`)`` Required. The DeployedIndex to be created within the IndexEndpoint.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `indexEndpoint` resource:

- `aiplatform.indexEndpoints.deploy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).